天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 134|回复: 0

使用ObjectARX从块插入中提取属性标记字符串

[复制链接]
  • TA的每日心情
    开心
    昨天 06:36
  • 签到天数: 15 天

    [LV.4]偶尔看看III

    105

    主题

    11

    回帖

    1308

    积分

    管理员

    积分
    1308
    QQ
    发表于 2024-3-14 19:28:22 | 显示全部楼层 |阅读模式
    1. #include <TCHAR.H>
    2. void ExtractAttributes()
    3. {
    4. ads采用name ename;
    5. ads采用point pt;
    6. if(acedEntSel("\nSelect an block: ", ename, pt) != RTNORM)
    7. {
    8.     acutPrintf("\nError selecting entity.");
    9.     return;
    10. }
    11. AcDbObjectId eId;
    12. acdbGetObjectId(eId, ename);
    13. AcDbEntity* pEnt = NULL;
    14. if (acdbOpenObject(pEnt, eId , AcDb::kForRead) != Acad::eOk)
    15. {
    16.     acutPrintf("\nError opening entity.");
    17.     if(pEnt)
    18.       pEnt->close();
    19.     return;
    20. }
    21. if(pEnt->isA() != AcDbBlockReference::desc())
    22. {
    23.     acutPrintf("\nMust select a block insert.");
    24.     pEnt->close();
    25.     return;
    26. }
    27. AcDbBlockReference *pBlkRef = AcDbBlockReference::cast(pEnt);
    28. AcDbAttribute *pAtt = NULL;
    29. AcDbObjectIterator *pAttIter = pBlkRef->attributeIterator();
    30. 采用TCHAR tagName[33], strValue[256];
    31. for (pAttIter->start(); !pAttIter->done(); pAttIter->step())
    32. {
    33.      acdbOpenObject(pAtt, pAttIter->objectId(), AcDb::kForRead);
    34.      // get the tag string
    35.      采用tcscpy(tagName, pAtt->tag());
    36.      acutPrintf("\nBlock Insert Attribute tag is: %s", tagName);
    37.      采用tcscpy(strValue, pAtt->textString());
    38.      acutPrintf("\nBlock Insert Attribute string value is: %s", strValue);
    39.      pAtt->close();
    40. }
    41. delete pAttIter;
    42. pBlkRef->close();
    43. }
    复制代码

     

     

     

     

    使用ObjectARX从块插入中提取属性标记字符串
    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

    GMT+8, 2024-11-1 13:38 , Processed in 0.126454 second(s), 26 queries .

    Powered by Discuz! X3.5

    © 2001-2024 Discuz! Team.

    快速回复 返回顶部 返回列表